Some additional mathematical operations

Narrative:
Our lisp interpreter should be able to 
perform those maths operations. 

Scenario: built-in operators

Given a lisp interpreter

When the expression entered is <expression>
Then the result should be <result>

Examples:

|expression  |result|
|(not #f)   |#t|
|(not #t)   |#f|
|(and #t #t)|#t|
|(and #t #f)|#f|
|(and #f #t)|#f|
|(and #f #f)|#f|
|(or #t #t) |#t|
|(or #t #f) |#t|
|(or #f #t) |#t|
|(or #f #f) |#f|
|(> 2 3)|#f|
|(> 2 2)|#f|
|(> 2.0 3)|#f|
|(> 2 3.0)|#f|
|(> 2.0 3.0)|#f|
|(> 4 2.0)|#t|
|(> 4.0 2.0)|#t|
|(> 5 4)|#t|
|(>= 2 3)|#f|
|(>= 2 2)|#t|
|(< 2 3)|#t|
|(< 2 2)|#f|
|(< 2 3.0)|#t|
|(< 2.0 2)|#f|
|(< 2.0 2.0)|#f|
|(<= 2 3)|#t|
|(<= 2 2)|#t|
|(<= 3 2)|#f|
|(= 2 3)|#f|
|(= 2 2)|#t|
|(= 2 2.0)|#t|
|(= 2.0 2)|#t|
|(= 3.0 2)|#f|
|(= 2 3.0)|#f|
|(+ 1 2)|3|
|(+ 1.0 2)|3.0|
|(+ 1 2.0)|3.0|
|(+ 1.0 2.0)|3.0|
|(+)|0|
|(+ 1)|1|
|(+ 1 2)|3|
|(+ 1 2 3)|6|
|(+ 1.0)|1.0|
|(+ 1.0 2.0)|3.0|
|(+ 1.0 2.0 3.0)|6.0|
|(*)|1|
|(* 2)|2|
|(* 1 2)|2|
|(* 1 2 3)|6|
|(* 1.0)|1.0|
|(* 1.0 2.0)|2.0|
|(* 1.0 2.0 3.0)|6.0|
|(* 1.25 2.789 5.5678)|19.41074275|
|(- 1)|-1|
|(- 1 2)|-1|
|(- 3 7)|-4|
|(- 7 3)|4|
|(- 1.0)|-1.0|
|(- 1.0 3.0)|-2.0|
|(- 2.0 8.0)|-6.0|
|(- 8.0 2.0)|6.0|
|(/ 4 2)|2|
|(/ 5 2)|2|
|(/ 2 5)|0|
|(/ 4 2.0)|2.0|
|(/ 5 2.0)|2.5|
|(/ 2 5.0)|0.4|
|(/ 2.0 5.0)|0.4|
